## org.apache.http.protocol
Class HTTP

    java.lang.Object
      org.apache.http.protocol.HTTP

    public final class HTTP

extends Object

Constants and static helpers related to the HTTP protocol.

Since:
  4.0

Field Summary
`static String` `ASCII` Deprecated. (4.2)
`static String` `CHARSET_PARAM` Deprecated. (4.2)
`static String` `CHUNK_CODING` Transfer encoding definitions
`static String` `CONN_CLOSE` HTTP connection control
`static String` `CONN_DIRECTIVE`
`static String` `CONN_KEEP_ALIVE`
`static String` `CONTENT_ENCODING`
`static String` `CONTENT_LEN`
`static String` `CONTENT_TYPE`
`static int` `CR`
`static String` `DATE_HEADER`
`static Charset` `DEF_CONTENT_CHARSET`
`static Charset` `DEF_PROTOCOL_CHARSET`
`static String` `DEFAULT_CONTENT_CHARSET` Deprecated. (4.2)
`static String` `DEFAULT_CONTENT_TYPE` Deprecated. (4.2)
`static String` `DEFAULT_PROTOCOL_CHARSET` Deprecated. (4.2)
`static String` `EXPECT_CONTINUE` HTTP expectations
`static String` `EXPECT_DIRECTIVE`
`static int` `HT`
`static String` `IDENTITY_CODING`
`static String` `ISO_8859_1` Deprecated. (4.2)
`static int` `LF`
`static String` `OCTET_STREAM_TYPE` Deprecated. (4.2)
`static String` `PLAIN_TEXT_TYPE` Deprecated. (4.2)
`static String` `SERVER_HEADER`
`static int` `SP`
`static String` `TARGET_HOST`
`static String` `TRANSFER_ENCODING` HTTP header definitions
`static String` `US_ASCII` Deprecated. (4.2)
`static String` `USER_AGENT`
`static String` `UTF_16` Deprecated. (4.2)
`static String` `UTF_8` Deprecated. (4.2)

Method Summary
`static boolean` `isWhitespace(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CR

    public static final int CR

See Also:
  Constant Field Values

### LF

    public static final int LF

See Also:
  Constant Field Values

### SP

    public static final int SP

See Also:
  Constant Field Values

### HT

    public static final int HT

See Also:
  Constant Field Values

### TRANSFER_ENCODING

    public static final String TRANSFER_ENCODING

  HTTP header definitions

  See Also:
    Constant Field Values

### CONTENT_LEN

    public static final String CONTENT_LEN

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final String CONTENT_TYPE

See Also:
  Constant Field Values

### CONTENT_ENCODING

    public static final String CONTENT_ENCODING

See Also:
  Constant Field Values

### EXPECT_DIRECTIVE

    public static final String EXPECT_DIRECTIVE

See Also:
  Constant Field Values

### CONN_DIRECTIVE

    public static final String CONN_DIRECTIVE

See Also:
  Constant Field Values

### TARGET_HOST

    public static final String TARGET_HOST

See Also:
  Constant Field Values

### USER_AGENT

    public static final String USER_AGENT

See Also:
  Constant Field Values

### DATE_HEADER

    public static final String DATE_HEADER

See Also:
  Constant Field Values

### SERVER_HEADER

    public static final String SERVER_HEADER

See Also:
  Constant Field Values

### EXPECT_CONTINUE

    public static final String EXPECT_CONTINUE

  HTTP expectations

  See Also:
    Constant Field Values

### CONN_CLOSE

    public static final String CONN_CLOSE

  HTTP connection control

  See Also:
    Constant Field Values

### CONN_KEEP_ALIVE

    public static final String CONN_KEEP_ALIVE

See Also:
  Constant Field Values

### CHUNK_CODING

    public static final String CHUNK_CODING

  Transfer encoding definitions

  See Also:
    Constant Field Values

### IDENTITY_CODING

    public static final String IDENTITY_CODING

See Also:
  Constant Field Values

### DEF_CONTENT_CHARSET

    public static final Charset DEF_CONTENT_CHARSET

### DEF_PROTOCOL_CHARSET

    public static final Charset DEF_PROTOCOL_CHARSET

### UTF_8

    @Deprecated
    public static final String UTF_8

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### UTF_16

    @Deprecated
    public static final String UTF_16

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### US_ASCII

    @Deprecated
    public static final String US_ASCII

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### ASCII

    @Deprecated
    public static final String ASCII

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### ISO_8859_1

    @Deprecated
    public static final String ISO_8859_1

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### DEFAULT_CONTENT_CHARSET

    @Deprecated
    public static final String DEFAULT_CONTENT_CHARSET

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### DEFAULT_PROTOCOL_CHARSET

    @Deprecated
    public static final String DEFAULT_PROTOCOL_CHARSET

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### OCTET_STREAM_TYPE

    @Deprecated
    public static final String OCTET_STREAM_TYPE

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### PLAIN_TEXT_TYPE

    @Deprecated
    public static final String PLAIN_TEXT_TYPE

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### CHARSET_PARAM

    @Deprecated
    public static final String CHARSET_PARAM

  Deprecated. (4.2)
  See Also:
    Constant Field Values

### DEFAULT_CONTENT_TYPE

    @Deprecated
    public static final String DEFAULT_CONTENT_TYPE

  Deprecated. (4.2)
  See Also:
    Constant Field Values

Method Detail

### isWhitespace

    public static boolean isWhitespace(char ch)

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.